Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Lite_MMAP_Memory_Pool Class Reference

Make a ``lighter-weight'' memory pool based <ACE_Mem_Map>. More...

`#include <Memory_Pool.h>`

Inheritance diagram for ACE_Lite_MMAP_Memory_Pool:

[legend]
Collaboration diagram for ACE_Lite_MMAP_Memory_Pool:

[legend]
List of all members.

## Public Methods
| ACE_Lite_MMAP_Memory_Pool (const ACE_TCHAR *backing_store_name=0, const OPTIONS *options=0)
| Initialize the pool.
virtual | ~ACE_Lite_MMAP_Memory_Pool (void)
| Destructor.
virtual int | sync (ssize_t len=-1, int flags=MS_SYNC)
| Overwrite the default sync behavior with no-op.
virtual int | sync (void *addr, size_t len, int flags=MS_SYNC)
| Overwrite the default sync behavior with no-op.

## Detailed Description

Make a ``lighter-weight'' memory pool based <ACE_Mem_Map>.

This implementation allows memory to be shared between processes. However, unlike the <ACE_MMAP_Memory_Pool> the <sync> methods are no-ops, which means that we don't pay for the price of flushing the memory to the backing store on every update. Naturally, this trades off increased performance for less reliability if the machine crashes.

## Constructor & Destructor Documentation

ACE_Lite_MMAP_Memory_Pool::ACE_Lite_MMAP_Memory_Pool | ( | const ACE_TCHAR * | backing_store_name = 0,
|  | const OPTIONS * | options = 0
| ) |

| Initialize the pool.

ACE_INLINE ACE_Lite_MMAP_Memory_Pool::~ACE_Lite_MMAP_Memory_Pool | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int ACE_Lite_MMAP_Memory_Pool::sync | ( | void * | addr,
|  | size_t | len,
|  | int | flags = MS_SYNC
| ) | `[virtual]`

| Overwrite the default sync behavior with no-op. Reimplemented from ACE_MMAP_Memory_Pool.

int ACE_Lite_MMAP_Memory_Pool::sync | ( | ssize_t | len = -1,
|  | int | flags = MS_SYNC
| ) | `[virtual]`

| Overwrite the default sync behavior with no-op. Reimplemented from ACE_MMAP_Memory_Pool.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Memory_Pool.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Memory_Pool.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Memory_Pool.i